Joe 3.0 doesn't install on Cygwin

Help
2004-05-13
2004-08-05
  • Nobody/Anonymous

    I tried installing Joe 3.0 on cygwin using the
    ./configure
    make
    make install
    thing but it doesn't work. I got this to work on 2.9.8 but 3.0 gives me this error

    $ make
    make  all-am
    make[1]: Entering directory `/home/Ali Uzair/joe-3'
    if gcc -DHAVE_CONFIG_H -I. -I. -I. -DJOERC="\"/usr/local/etc/joe/\""    -g -O2 -MT tty.o -MD -MP -MF ".deps/tty.Tpo" \   -c -o tty.o `test -f 'tty.c' || echo './'`tty.c; \ then mv ".deps/tty.Tpo" ".deps/tty.Po"; \ else rm -f ".deps/tty.Tpo"; exit 1; \ fi
    tty.c:787: error: conflicting types for `ptsname'
    /usr/include/stdlib.h:185: error: previous declaration of `ptsname'
    make[1]: *** [tty.o] Error 1
    make[1]: Leaving directory `/home/Ali Uzair/joe-3'
    make: *** [all] Error 2

    What should I do. I am an absoulte nebie to cygwin

     
    • Anonymous - 2004-08-05

      Look the readme & patch at:
      http://anfaenger.de/cygwin/joe/

      worked very well for me

       

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks